GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

          • Get User Profile
          • Update User Profile
          • Bind Email
          • Unbind Email
          • Bind Phone
          • Unbind Phone
          • Get Password Strength and Account Security Score
          • Update Password
          • Initiate Email Update Verification Request
          • Update Email
          • Initiate Phone Update Verification Request
          • Update Phone
          • Initiate Reset Password Request
          • Reset Password
          • Initiate Account Deletion Request
          • Delete Account
        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. User Profile

  10. /
  11. Initiate Account Deletion Request

¶ Initiate a request to cancel an account

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When a user wants to cancel an account, he needs to provide the corresponding credentials. Currently, three verification methods are supported: Use email verification code, Use mobile verification code, and Use password.

¶ Method name

AuthenticationClient.verify_delete_account_request

¶ Request parameters

NameType
Required
Default value
Description
Sample value
verifyMethodstringyes-Account deregistration verification method:
- PHONE_PASSCODE: Use phone number verification code method for verification.
- EMAIL_PASSCODE: Use email verification code method for verification.
- PASSWORD: If the user has neither a phone number nor an email bound, the password can be used as the verification method.
PHONE_PASSCODE
phonePassCodePayloadDeleteAccountByPhonePassCodeDtoNo-Data verified by phone number verification code
emailPassCodePayloadDeleteAccountByEmailPassCodeDtoNo-Data verified by email verification code
passwordPayloadDeleteAccountByPasswordDtoNo-Data verified by password

¶ Request response

Type: VerifyDeleteAccountRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyDeleteAccountRequestDataDtoResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "deleteAccountToken": "xxxx",
    "tokenExpiresIn": 60
  }
}

¶ Data structure

¶ DeleteAccountByPhonePassCodeDto

NameType
Is it required?
Description
Sample value
phoneNumberstringYesThe phone number bound to this account, without the area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
passCodestringYesSMS verification code, which can only be used once and is valid for one minute. You need to obtain it through the Send SMS interface.123456
phoneCountryCodestringNoMobile phone area code+86

¶ DeleteAccountByEmailPassCodeDto

NameType
Is it required?
Description
Sample value
emailstringNoEmail address bound to this account, case insensitive.
passCodestringYesEmail verification code. An SMS verification code can only be used once. The default validity period is 5 minutes. You need to obtain it through the Send Email interface.

¶ DeleteAccountByPasswordDto

NameType
Is it required?
Description
Sample value
passwordstringYesUser password
passwordEncryptTypestringNoPassword encryption type, supports encryption using RSA256 and SM2 algorithms. The default is none, which means no encryption.
- none: Do not encrypt the password and use plain text for transmission.
- rsa: Use the RSA256 algorithm to encrypt the password. You need to use the RSA public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the RSA256 public key of the GenAuth service.
- sm2: Use the National Secret SM2 Algorithm (opens new window) to encrypt the password. You need to use the SM2 public key of the GenAuth service for encryption. Please read the Introduction section to learn how to obtain the SM2 public key of the GenAuth service.
sm2

¶ VerifyDeleteAccountRequestDataDto

NameType
Required
Description
Sample value
deleteAccountTokenstringYesTemporary Token used to cancel an account. You need to call the CancelAccount API to perform the actual account cancellation operation.xxxx
tokenExpiresInnumberYesToken validity period. The default value is 60 seconds.60
Previous article: Reset Password Next article: Delete Account
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.